SDL_GetTextureColorModFloat(3)

NAME
SDL_GetTextureColorModFloat - Get the additional color value multiplied into render copy operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetTextureColorModFloat(SDL_Texture *texture, float *r, float *g, float *b);

FUNCTION PARAMETERS

texture
    the texture to query

r   a pointer filled in with the current red color value

g   a pointer filled in with the current green color value

b   a pointer filled in with the current blue color value

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetTextureAlphaModFloat(3), SDL_GetTextureColorMod(3), SDL_SetTextureColorModFloat(3)